Name:           solarspeed-ioncube
Version:        14.0.0
Release:        2
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         SOLARSPEED.NET
URL:            http://www.solarspeed.net
License:        Proprietory
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
Distribution:   BlueOnyx 5210R/5211R
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        IonCube is a commercial encryption and accellerator program for PHP scripts.
Requires: 		  libmcrypt >= 2.5.7
Requires: 		  libtool-ltdl
Requires: 		  httpd

%description
IonCube is a commercial encryption and accellerator program for PHP scripts.
Solarspeed.net GUI enhanced software uses IonCube to both protect the 
source code and to accellerate the execution of those scrips.

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
echo "Working on $RPM_BUILD_ROOT"

%install
%{__rm} -rf %{buildroot}
# set up path structure
mkdir %{buildroot}/
mv * %{buildroot}/

%pre

%post

if [ -d /home/solarspeed/php-8.2/etc/php.d ] && [ ! -f /home/solarspeed/php-8.2/etc/php.d/ioncube.ini ];then
     echo "zend_extension = /home/solarspeed/ioncube/ioncube_loader_lin_8.2.so" > /home/solarspeed/php-8.2/etc/php.d/ioncube.ini
fi

if [ -d /home/solarspeed/php-8.3/etc/php.d ] && [ ! -f /home/solarspeed/php-8.3/etc/php.d/ioncube.ini ];then
     echo "zend_extension = /home/solarspeed/ioncube/ioncube_loader_lin_8.3.so" > /home/solarspeed/php-8.3/etc/php.d/ioncube.ini
fi

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/php.d/00-ioncube.ini
%attr(0644,root,root) /home/solarspeed/ioncube/*
%attr(0644,root,root) /home/solarspeed/licenses/solarspeed_generic.key
%attr(0644,root,root) /home/solarspeed/licenses/0_README.TXT

%changelog

* Sat Nov 30 2024 Michael Stauber <mstauber@solarspeed.net>
- [14.0.0-2:] Autogeneration of ioncube.ini for 8.2 and 8.3

* Thu Nov 28 2024 Michael Stauber <mstauber@solarspeed.net>
- [14.0.0-1:] Updated to latest release for 5210R/5211R

* Tue Mar 28 2023 Michael Stauber <mstauber@solarspeed.net>
- [12.0.5-1:] Updated to latest release for 5211R

* Sat Aug 20 2022 Michael Stauber <mstauber@solarspeed.net>
- [12.0.1-1:] Updated to latest release for 5211R

* Thu Dec 02 2021 Michael Stauber <mstauber@solarspeed.net>
- [11.0.0-2:] ioncube.ini insertion into Solarspeed PHP-7.4
  removed from post.

* Wed Dec 01 2021 Michael Stauber <mstauber@solarspeed.net>
- [11.0.0-1:] Update to latest version

* Tue Jul 22 2020 Michael Stauber <mstauber@solarspeed.net>
- [10.4.1-1:] Update to latest version

* Tue Aug 20 2019 Michael Stauber <mstauber@solarspeed.net>
- [10.3.7-1:] Update to latest version

* Thu Mar 14 2019 Michael Stauber <mstauber@solarspeed.net>
- [10.3.2-2:] ioncube.ini renamed to 00-ioncube.ini

* Sat Jan 19 2019 Michael Stauber <mstauber@solarspeed.net>
- [10.3.2-1:] Updated build

* Fri Nov 16 2018 Michael Stauber <mstauber@solarspeed.net>
- [10.2.1-2:] Removed admserv and swatch dependencies.

* Sat May 19 2018 Michael Stauber <mstauber@solarspeed.net>
- [10.2.1-1:] Updated to new version.

* Tue Jan 16 2017 Michael Stauber <mstauber@solarspeed.net>
- [6.0.8-1:] Updated to new version.

* Thu Aug 20 2015 Michael Stauber <mstauber@solarspeed.net>
- [5.0.15-1:] Updated to new version.

* Sun Mar 15 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.7.5-3:] Post-install fixes for CD building

* Sun Mar 15 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.7.5-2:] Requirements updated for CD building
- Totally new SPEC-file from scratch.

* Fri Mar 13 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.7.5-1:] Updated to new version.

* Sun Feb 01 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.4.1-3:] Requirements updated for CD building

* Thu Jul 17 2014 Michael Stauber <mstauber@solarspeed.net>
- [4.4.1-2:] Build for 5209R and PHP-5.4

* Tue Jul 30 2013 Michael Stauber <mstauber@solarspeed.net>
- [4.4.1-1:] Updated to v4.4.1

* Fri Jan 18 2013 Michael Stauber <mstauber@solarspeed.net>
- [4.2.2-1:] Updated to v4.2.2

* Sat Aug 06 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.10-SOL1:] Updated to v4.0.10

* Tue Jul 12 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.9-SOL2:] Updated for BlueOnyx 5107R

* Sun Jun 19 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.9-SOL1:] Updated for BlueOnyx

* Mon Dec 22 2008 Michael Stauber <mstauber@solarspeed.net>
- [3.1.32-2008AV06:] Updated for BlueOnyx

